version: "3"
services:
  centos6:
    build: docker/centos6
    volumes:
      - .:/var/app
  centos7:
    build: docker/centos7
    volumes:
      - .:/var/app
  developing:
    build: docker/developing
    volumes:
      - .:/var/app
  repro:
    build: docker/repro
    volumes:
      - .:/var/app
  testing7_2:
    build: docker/testing7_2
    volumes:
      - .:/var/app
    cap_add:
      - SYS_ADMIN
      - SYS_PTRACE
    security_opt:
      - seccomp:unconfined
  testing8_0:
    build: docker/testing8_0
    volumes:
      - .:/var/app
    cap_add:
      - SYS_ADMIN
      - SYS_PTRACE
    security_opt:
      - seccomp:unconfined
  fedora:
    build: docker/fedora
    image: imagick_fedora
    volumes:
      - .:/var/app
    cap_add:
      - SYS_ADMIN
      - SYS_PTRACE
    security_opt:
      - seccomp:unconfined
  nixos:
    build: docker/nixos
    volumes:
      - .:/var/app
    cap_add:
      - SYS_ADMIN
      - SYS_PTRACE
    security_opt:
      - seccomp:unconfined
